local encryption = require"func.tool.encrypt"
local Environment = luajava.bindClass "android.os.Environment"

local _M ={}

_M.appname = "Akai'Cloud" -- 云盘名称
_M.domainUrl = "https://cloud.55brl.cn" -- 域名
_M.updateUrl = "http://gx.55brl.cn/akai.php" -- 更新链接
_M.groupCode = 184590562 -- 点击加群的群号

-- _M.domainUrl = "https://demo.cloudreve.org" -- 官方演示站
-- _M.domainUrl = "https://drive.qingstore.cn" -- 离线盘


-- cos问题
-- _M.domainUrl = "https://www.miaofile.com"
-- _M，domainUrl = "https://pan.qitapan.cn"

-- _M.domainUrl = "https://pan.gscsds.cc"



_M.path = {}
_M.path.sdcard = Environment.getExternalStorageDirectory().getAbsolutePath()

_M.path.download = _M.path.sdcard..
"/Akcloud/download/" -- 下载路径


--[[ 校验部分
值为
密钥_原始值
的md5
密钥暂时定为 024c050c4b9e981e77cac7a7c02ddf89

比如appname是 清玖云盘
那么
这个表里的
appname = Md5(024c050c4b9e981e77cac7a7c02ddf89_)

建议写个一键工具来 tool库里有md5加密库
---]]
_M.Appkeys={
  appname = "c3dab4ba0ac4854a116723e6b93aef69",
  domainUrl = "616d18963fcce5b765b6b2cff9adf130",
  updateUrl = "6b5889e0ccee2d7733e7ce91dd15b6e3",
  groupCode = "12fcc95aa7135ec3f8f80853bdfdf88d"}

--[[ 调试代码 用于校验是否正确
for k, v in pairs(_M.Appkeys) do
print(_M[k], encryption.md5("024c050c4b9e981e77cac7a7c02ddf89_".._M[k])
==v and "通过" or "不通过")
end
--]]

-- 下面内容一般不用更改 用户协议自动替换的

_M.agreement = {}
_M.agreement.user = {}
_M.agreement.user.cloud_name = _M.appname
_M.agreement.user.version = 1
_M.agreement.user.content = [[
《{cloud_name}用户协议》 生效日期：2020年9月19日

注意 本软件内的网络资源均（包括但不限于字体，头像壁纸等）未进行商业使用，如有侵权，请联系开发者。

欢迎您使用 {cloud_name} 软件及服务！

为使用 {cloud_name} 软件（以下简称“本软件”）及服务，您应当阅读并遵守《 {cloud_name} 软件许可及服务协议》（以下简称“本协议”）。请您务必审慎阅读、充分理解各条款内容，特别是免除或者限制责任的条款，以及开通或使用某项服务的单独协议，并选择接受或不接受。

除非您已阅读并接受本协议所有条款，否则您无权下载、安装或使用本软件及相关服务。您的下载、安装、使用、登录等行为即视为您已阅读并同意上述协议的约束。

如果您未满18周岁，请在法定监护人的陪同下阅读本协议及其他上述协议，并特别注意未成年人使用条款。

{cloud_name}新增加内容说明: 用户会员系统登录仅读取用户会员到期时间，不保存任何用户数据，为了更好服务用户，让用户体验丰富功能，用户需额外付费，用户付费所得到体验一定 保证质量。用户付费开通会员为自愿开通，若用户有退款行为，需联系{cloud_name}工作人员退款，收取用户付费金额1 %的手续费。 以上说明仅适用于{cloud_name}

一、【协议的范围】 1.1 【协议适用主体范围】 本协议是您与 {cloud_name} 之间关于您下载、安装、使用本软件，以及使用 {cloud_name} 相关服务所订立的协议。

1.2 【协议关系及冲突条款】 本协议与上述内容存在冲突的，以本协议为准。

本协议内容同时包括 {cloud_name} 可能不断发布的关于本服务的相关协议、业务规则等内容。上述内容一经正式发布，即为本协议不可分割的组成部分，您同样应当遵守。

二、【关于本服务】 2.1 【本服务的内容】 本服务内容是指 {cloud_name} 向用户提供的APP工具，包括但不限于以下功能，使用本软件制作壁纸及制作过程中相关制作功能的使用，使用本软件提供的额外功能，如头像壁纸，句子浮窗，优惠券等等 （以下简称“本服务”）。

2.2 【本服务的形式】 2.2.1 您使用本服务需要下载 {cloud_name} 客户端软件，对于这些软件， {cloud_name} 给予您一项个人的、不可转让及非排他性的许可。

2.2.2 本服务中 {cloud_name} 客户端软件目前提供的应用版本为Android版本，用户必须选择与所安装手机相匹配的软件版本。 2.3 【本服务许可的范围】 2.3.1 {cloud_name} 给予您一项个人的、不可转让及非排他性的许可，以使用本软件。您可以为非商业目的在单一台终端设备上安装、使用、显示、运行本软件。

2.3.2 您可以为使用本软件及服务的目的复制本软件的一个副本，仅用作备份。备份副本必须包含原软件中含有的所有著作权信息，且不可做出对本软件开发者权益和本软件用户使用权益造成损害的修改（包括但不限于恶意修改）。

2.3.3 本条及本协议其他条款未明示授权的其他一切权利仍由 {cloud_name} 保留，您在行使这些权利时须另外取得 {cloud_name} 的书面许可。 {cloud_name} 如果未行使前述任何权利，并不构成对该权利的放弃。

三、【软件的获取】 3.1 您可以直接从 {cloud_name} 的网站上获取本软件，也可以从得到 {cloud_name} 授权的第三方获取（例如腾讯应用宝 ）。

3.2 如果您从未经 {cloud_name} 授权的第三方获取本软件或与本软件名称相同的安装程序， {cloud_name} 无法保证该软件能够正常使用，并对因此给您造成的损失不予负责。

四、【软件的安装与卸载】 4.1 {cloud_name} 可能为不同的终端设备开发了不同的软件版本，您应当根据实际情况选择下载合适的版本进行安装。

4.2 下载安装程序后，您需要按照该程序提示的步骤正确安装。

4.3 为提供更加优质、安全的服务，在本软件安装时 {cloud_name} 可能推荐您安装其他软件，您可以选择安装或不安装。

4.4 如果您不再需要使用本软件或者需要安装新版软件，可以自行卸载。如果您愿意帮助 {cloud_name} 改进产品服务，请告知卸载的原因。

五、【软件的更新】 5.1 为了改善用户体验、完善服务内容， {cloud_name} 将不断努力开发新的服务，并为您不时提供软件更新（这些更新可能会采取软件替换、修改、功能强化、版本升级等形式）。

5.2 为了保证本软件及服务的安全性和功能的一致性， {cloud_name} 有权不经向您特别通知而对软件进行更新，或者对软件的部分功能效果进行改变或限制。

5.3 本软件新版本发布后，旧版本的软件可能无法使用。 {cloud_name} 不保证旧版本软件继续可用及相应的客户服务，请您随时核对并下载最新版本。

六、【用户个人信息保护】 6.1 保护用户个人信息是 {cloud_name} 的一项基本原则， {cloud_name} 将会采取合理的措施保护用户的个人信息。除法律法规规定的情形外，未经用户许可 {cloud_name} 不会向第三方公开、透露用户个人信息。 {cloud_name} 对相关信息采用专业加密存储与传输方式，保障用户个人信息的安全（所指信息代指可能会有的用户注册所留下的信息及可能会存在的不涉及用户隐私的统计信息）。

6.2 {cloud_name} 将运用各种安全技术和程序建立完善的管理制度来保护您的个人信息，以免遭受未经授权的访问、使用或披露。

6.3 未经您的同意， {cloud_name} 不会向 {cloud_name} 以外的任何公司、组织和个人披露您的个人信息，但法律法规另有规定的除外。

6.4 {cloud_name} 非常重视对未成年人个人信息的保护。若您是18周岁以下的未成年人，在使用 {cloud_name} 的服务前，应事先取得您家长或法定监护人的书面同意。

七、【主权利义务条款】 7.1 【帐号使用规范】 7.1.1 您在使用 {cloud_name} 中部分会员功能前需要注册一个 {cloud_name} 帐号，才可以继续使用该软件。 {cloud_name} 有权根据用户需求或产品需要对帐号注册和绑定的方式进行变更，关于您使用帐号的具体规则，请遵守相关帐号使用协议以及 {cloud_name} 为此发布的专项规则。

7.1.2 用户有责任妥善保管注册帐户信息及帐户密码的安全，用户需要对注册帐户以及密码下的行为承担法律责任。用户同意在任何情况下不向他人透露帐户及密码信息。在您怀疑他人在使用您的帐号时，您应立即通知开发者。

7.2 【用户注意事项】 7.2.1 您理解并同意：为了向您提供有效的服务，本软件会利用您移动通讯终端的处理器和带宽等资源。本软件使用过程中可能产生数据流量的费用，用户需自行向运营商了解相关资费信息，并自行承担相关费用。

7.2.2 您理解并同意：本软件的某些功能可能会让第三方知晓用户的信息

7.2.3 您在使用本软件某一特定服务时，该服务可能会另有单独的协议、相关业务规则等（以下统称为“单独协议”），您在使用该项服务前请阅读并同意相关的单独协议。

7.2.4 您理解并同意 {cloud_name} 将会尽其商业上的合理努力保障您在本软件及服务中的数据存储安全，但是， {cloud_name} 并不能就此提供完全保证，包括但不限于以下情形：

7.2.4.1 {cloud_name} 不对您在本软件及服务中相关数据的删除或储存失败负责；

7.2.4.2 {cloud_name} 有权根据实际情况自行决定单个用户在本软件及服务中数据的最长储存期限，并在服务器上为其分配数据最大存储空间等。您可根据自己的需要自行备份本软件及服务中的相关数据；

7.2.4.3 如果您停止使用本软件及服务或服务被终止或取消， {cloud_name} 可以从服务器上永久地删除您的数据。服务停止、终止或取消后， {cloud_name} 没有义务向您返还任何数据。

7.2.5 用户在使用本软件及服务时，须自行承担如下来自 {cloud_name} 不可掌控的风险内容，包括但不限于：

7.2.5.1 由于不可抗拒因素可能引起的个人信息丢失、泄漏等风险；

7.2.5.2 用户必须选择与所安装手机相匹配的软件版本，否则，由于软件与手机型号不相匹配所导致的任何问题或损害，均由用户自行承担；

7.2.5.3 用户在使用本软件访问第三方网站时，因第三方网站及相关内容所可能导致的风险，由用户自行承担；

7.2.5.4 用户发布的内容被他人转发、分享，因此等传播可能带来的风险和责任；

7.2.5.5 由于无线网络信号不稳定、无线网络带宽小等原因，所引起的 {cloud_name} 登录失败、资料同步不完整、页面打开速度慢等风险。

7.3 【第三方产品和服务】 7.3.1 您在使用本软件第三方提供的产品或服务时，除遵守本协议约定外，还应遵守第三方的用户协议。 {cloud_name} 和第三方对可能出现的纠纷在法律规定和约定的范围内各自承担责任。

7.3.2 因用户使用本软件或要求 {cloud_name} 提供特定服务时，本软件可能会调用第三方系统或者通过第三方支持用户的使用或访问， {cloud_name} 不保证通过第三方提供服务及内容的安全性、准确性、有效性及其他不确定的风险，由此若引发的任何争议及损害，与 {cloud_name} 无关， {cloud_name} 不承担任何责任。 八、【用户行为规范】 8.1 【信息内容规范】 8.1.1 本条所述信息内容是指用户使用本软件及服务过程中所制作、复制、发布、传播的任何内容，包括但不限于 {cloud_name} 帐号头像、名字、用户说明等注册信息，以及其他使用 {cloud_name} 帐号或本软件及服务所产生的内容。

8.1.2 您理解并同意， {cloud_name} 一直致力于为用户提供文明健康、规范有序的网络环境，您不得利用 {cloud_name} 帐号或本软件及服务制作、复制、发布、传播如下干扰 {cloud_name} 正常运营，以及侵犯其他用户或第三方合法权益的内容，包括但不限于：

8.1.2.1 发布、传送、传播、储存违反国家法律、危害国家安全统一、社会稳定、公序良俗、社会公德以及侮辱、诽谤、淫秽或含有任何性或性暗示的、暴力的内容；

8.1.2.2 发布、传送、传播、储存侵害他人名誉权、肖像权、知识产权、商业秘密等合法权利的内容； 8.1.2.3 涉及他人隐私、个人信息或资料的；

8.1.2.4 发表、传送、传播骚扰、广告信息及垃圾信息；

8.1.2.5 其他违反法律法规、政策及公序良俗、社会公德或干扰 {cloud_name} 正常运营和侵犯其他用户或第三方合法权益内容的信息。

8.2 【软件使用规范】 除非法律允许或 {cloud_name} 书面许可，您在使用本软件过程中不得从事下列行为：

8.2.1 删除本软件及其副本上关于著作权的信息；

8.2.2 对本软件进行反向工程、反向汇编、反向编译，或者以其他方式尝试发现本软件的源代码； 8.2.3 对 {cloud_name} 拥有知识产权的内容进行使用、出租、出借、复制、修改、链接、转载、汇编、发表、出版、建立镜像站点等；

8.2.4 对本软件或者本软件运行过程中释放到任何终端内存中的数据、软件运行过程中客户端与服务器端的交互数据，以及本软件运行所必需的系统数据，进行复制、修改、增加、删除、挂接运行或创作任何衍生作品，形式包括但不限于使用插件、外挂或非 {cloud_name} 经授权的第三方工具/服务接入本软件和相关系统；

8.2.5 通过修改或伪造软件运行中的指令、数据，增加、删减、变动软件的功能或运行效果，或者将用于上述用途的软件、方法进行运营或向公众传播，无论这些行为是否为商业目的；

8.2.6 通过非 {cloud_name} 开发、授权的第三方软件、插件、外挂、系统，登录或使用 {cloud_name} 软件及服务，或制作、发布、传播上述工具；

8.2.7 自行或者授权他人、第三方软件对本软件及其组件、模块、数据进行干扰；

8.2.8 其他未经 {cloud_name} 明示授权的行为。

8.3 【服务运营规范】 除非法律允许或 {cloud_name} 书面许可，您使用本服务过程中不得从事下列行为：

8.3.1 提交、发布虚假信息，或冒充、利用他人名义的；

8.3.2 诱导其他用户点击链接页面或分享信息的；

8.3.3 虚构事实、隐瞒真相以误导、欺骗他人的；

8.3.4 侵害他人名誉权、肖像权、知识产权、商业秘密等合法权利的；

8.3.5 未经 {cloud_name} 书面许可利用 {cloud_name} 帐号和任何功能，以及第三方运营平台进行推广或互相推广的；

8.3.6 利用本软件及服务从事任何违法犯罪活动的；

8.3.7 制作、发布与以上行为相关的方法、工具，或对此类方法、工具进行运营或传播，无论这些行为是否为商业目的；

8.3.8 其他违反法律法规规定、侵犯其他用户合法权益、干扰产品正常运营或 {cloud_name} 未明示授权的行为。

8.4 【对自己行为负责】 您充分了解并同意，您必须为自己注册帐号下的一切行为负责，包括您所发表的任何内容以及由此产生的任何后果。您应对本服务中的内容自行加以判断，并承担因使用内容而引起的所有风险，包括因对内容的正确性、完整性或实用性的依赖而产生的风险。 {cloud_name} 无法且不会对因前述风险而导致的任何损失或损害承担责任。

8.5 【违约处理】 8.5.1 如果 {cloud_name} 发现或收到他人举报或投诉用户违反本协议约定的， {cloud_name} 有权不经通知随时对相关内容进行删除，并视行为情节对违规帐号处以包括但不限于警告、限制或禁止使用全部或部分功能、帐号封禁直至注销的处罚，并公告处理结果。

8.5.2 您理解并同意， {cloud_name} 有权依合理判断对违反有关法律法规或本协议规定的行为进行处罚，对违法违规的任何用户采取适当的法律行动，并依据法律法规保存有关信息向有关部门报告等，用户应独自承担由此而产生的一切法律责任。

8.5.3 您理解并同意，因您违反本协议或相关服务条款的规定，导致或产生第三方主张的任何索赔、要求或损失，您应当独立承担责任； {cloud_name} 因此遭受损失的，您也应当一并赔偿。

九、【知识产权声明】 9.1 {cloud_name} 是本软件的知识产权权利人。本软件的一切著作权、商标权、专利权、商业秘密等知识产权，以及与本软件相关的所有信息内容（包括但不限于文字、图片、音频、视频、图表、界面设计、版面框架、有关数据或电子文档等）均受中华人民共和国法律法规和相应的国际条约保护， {cloud_name} 享有上述知识产权，但相关权利人依照法律规定应享有的权利除外。

9.2 未经 {cloud_name} 或相关权利人书面同意，您不得为任何商业或非商业目的自行或许可任何第三方实施、利用、转让上述知识产权。 十、【终端安全责任】 1 .1 您理解并同意，本软件同大多数互联网软件一样，可能会受多种因素影响，包括但不限于用户原因、网络服务质量、社会环境等；也可能会受各种安全问题的侵扰，包括但不限于他人非法利用用户资料，进行现实中的骚扰；用户下载安装的其他软件或访问的其他网站中可能含有病毒、木马程序或其他恶意程序，威胁您的终端设备信息和数据安全，继而影响本软件的正常使用等。因此，您应加强信息安全及个人信息的保护意识，注意密码保护，以免遭受损失。 1 .2 您不得制作、发布、使用、传播用于窃取 {cloud_name} 帐号及他人个人信息、财产的恶意程序。

1 .3 维护软件安全与正常使用是 {cloud_name} 和您的共同责任， {cloud_name} 将按照行业标准合理审慎地采取必要技术措施保护您的终端设备信息和数据安全，但是您承认和同意 {cloud_name} 并不能就此提供完全保证。

1 .4 在任何情况下，您不应轻信借款、索要密码或其他涉及财产的网络信息。涉及财产操作的，请一定先核实对方身份，并请经常留意 {cloud_name} 有关防范诈骗犯罪的提示。

十一、【第三方软件或技术】 11.1 本软件可能会使用第三方软件或技术（包括本软件可能使用的开源代码和公共领域代码等，下同），这种使用已经获得合法授权。

11.2 本软件如果使用了第三方的软件或技术， {cloud_name} 将按照相关法规或约定，对相关的协议或其他文件，可能通过本协议附件、在本软件安装包特定文件夹中打包等形式进行展示，它们可能会以“软件使用许可协议”、“授权协议”、“开源代码许可证”或其他形式来表达。前述通过各种形式展现的相关协议或其他文件，均是本协议不可分割的组成部分，与本协议具有同等的法律效力，您应当遵守这些要求。如果您没有遵守这些要求，该第三方或者国家机关可能会对您提起诉讼、罚款或采取其他制裁措施，并要求 {cloud_name} 给予协助，您应当自行承担法律责任。

11.3 如因本软件使用的第三方软件或技术引发的任何纠纷，应由该第三方负责解决， {cloud_name} 不承担任何责任。 {cloud_name} 不对第三方软件或技术提供客服支持，若您需要获取支持，请与第三方联系。

十二、【其他】 12.1 您使用本软件即视为您已阅读并同意受本协议的约束。 {cloud_name} 有权在必要时修改本协议条款。您可以在本软件的最新版本中查阅相关协议条款。本协议条款变更后，如果您继续使用本软件，即视为您已接受修改后的协议。如果您不接受修改后的协议，应当停止使用本软件。

12.2 本协议签订地为中华人民共和国云南省红河州弥勒市。

12.3 本协议的成立、生效、履行、解释及纠纷解决，适用中华人民共和国大陆地区法律（不包括冲突法）。

12.4 若您和 {cloud_name} 之间发生任何纠纷或争议，首先应友好协商解决；协商不成的，您同意将纠纷或争议提交本协议签订地有管辖权的人民法院管辖。

12.5 本协议所有条款的标题仅为阅读方便，本身并无实际涵义，不能作为本协议涵义解释的依据。

12.6 本协议条款无论因何种原因部分无效或不可执行，其余条款仍有效，对双方具有约束力。
]]

_M.agreement.user.content = _M.agreement.user.content:gsub("%{cloud_name%}", _M.agreement.user.cloud_name)


-- _M.viewLogo = "res/drawable/icon/logo"
_M.viewLogo = "logo.png"

_M.Start = {}
_M.Start.WelcomeImage = "res/drawable/image/welcome.png"
_M.Start.icon = "icon.png"

return _M